Getting Terminal information(3)

NAME
Getting Terminal information -

How to get information about the connected Terminal.

  Macros
#define BRLAPI_MAXNAMELENGTH 31

  Functions
int BRLAPI_STDCALL brlapi_getDriverName (char *buffer, size_t size)
int BRLAPI_STDCALL brlapi__getDriverName (brlapi_handle_t *handle, char *buffer, size_t size)
int BRLAPI_STDCALL brlapi_getDisplaySize (unsigned int *x, unsigned int *y)
int BRLAPI_STDCALL brlapi__getDisplaySize (brlapi_handle_t *handle, unsigned int *x, unsigned int *y)

Detailed Description

Before using Raw mode or key codes, the application should always check the type of the connected terminal, to be sure it is really the one it expects.

One should also check for display size, so as to adjust further displaying on it.

Macro Definition Documentation

  #define BRLAPI_MAXNAMELENGTH 31
Maximum name length for names embeded in BrlAPI packets, not counting any termination \0 character

Function Documentation

  int BRLAPI_STDCALL brlapi__getDisplaySize (brlapi_handle_t *handle, unsigned int *x, unsigned int *y)

  int BRLAPI_STDCALL brlapi__getDriverName (brlapi_handle_t *handle, char *buffer, size_tsize)

  int BRLAPI_STDCALL brlapi_getDisplaySize (unsigned int *x, unsigned int *y)
Return the size of the braille display

  int BRLAPI_STDCALL brlapi_getDriverName (char *buffer, size_tsize)
Return the complete name of the driver used by brltty

This function fills its argument with the whole name of the braille terminal if available, terminated with a '\0'.

Parameters:
    buffer is the buffer given by the application;
    size is the maximum size for the name buffer.

Returns:
    -1 on error, or a positive value giving the size of the needed buffer, if the supplied one is to small (same as snprintf()).

Author

Generated automatically by Doxygen for BrlAPI from the source code.